net.sf.jasperreports.data.mondrian

## Class MondrianDataAdapterService

- java.lang.Object
- - net.sf.jasperreports.data.AbstractDataAdapterService
  - - net.sf.jasperreports.data.AbstractClasspathAwareDataAdapterService
    - - net.sf.jasperreports.data.jdbc.JdbcDataAdapterService
      - - net.sf.jasperreports.data.mondrian.MondrianDataAdapterService

- All Implemented Interfaces:
    DataAdapterService, ParameterContributor

      public class MondrianDataAdapterService
      extends JdbcDataAdapterService

  Version:
    $Id: MondrianDataAdapterService.java 5881 2013-01-08 09:17:43Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.data.AbstractClasspathAwareDataAdapterService

      `CURRENT_CLASS_LOADER`

    - ### Fields inherited from class net.sf.jasperreports.data.AbstractDataAdapterService

      `SECRETS_CATEGORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MondrianDataAdapterService(JasperReportsContext jasperReportsContext, MondrianDataAdapter jdbcDataAdapter)`
    `MondrianDataAdapterService(MondrianDataAdapter jdbcDataAdapter)` Deprecated. Replaced by `MondrianDataAdapterService(JasperReportsContext, MondrianDataAdapter)`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `contributeParameters(java.util.Map<java.lang.String,java.lang.Object> parameters)`
    `void` | `dispose()`
    `MondrianDataAdapter` | `getJdbcDataAdapter()`

    - ### Methods inherited from class net.sf.jasperreports.data.jdbc.JdbcDataAdapterService

      `getConnection, getPassword`

    - ### Methods inherited from class net.sf.jasperreports.data.AbstractClasspathAwareDataAdapterService

      `getClassLoader`

    - ### Methods inherited from class net.sf.jasperreports.data.AbstractDataAdapterService

      `getDataAdapter, getJasperReportsContext, getName, setDataAdapter, setName, test`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MondrianDataAdapterService

          public MondrianDataAdapterService(JasperReportsContext jasperReportsContext,
                                    MondrianDataAdapter jdbcDataAdapter)

    - #### MondrianDataAdapterService

          public MondrianDataAdapterService(MondrianDataAdapter jdbcDataAdapter)

      Deprecated. Replaced by `MondrianDataAdapterService(JasperReportsContext, MondrianDataAdapter)`.

  - ### Method Detail

    - #### getJdbcDataAdapter

          public MondrianDataAdapter getJdbcDataAdapter()

      Overrides:
        `getJdbcDataAdapter` in class `JdbcDataAdapterService`

    - #### contributeParameters

          public void contributeParameters(java.util.Map<java.lang.String,java.lang.Object> parameters)
                                    throws JRException

      Specified by:
        `contributeParameters` in interface `ParameterContributor`
      Overrides:
        `contributeParameters` in class `JdbcDataAdapterService`
      Throws:
        `JRException`

    - #### dispose

          public void dispose()

      Specified by:
        `dispose` in interface `ParameterContributor`
      Overrides:
        `dispose` in class `JdbcDataAdapterService`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com